import 'package:flutter/material.dart';
import 'package:flutter_svg/flutter_svg.dart';
import 'package:get/get.dart';
import 'package:taafee_mobile/common/const/const.dart';
import 'package:taafee_mobile/common/widgets/text.dart';
import 'package:taafee_mobile/features/home/data_layer/model/city.dart';

class SearchLocationWidget extends StatelessWidget {
  final CityModel cityModel;
  const SearchLocationWidget(this.cityModel, {super.key});

  @override
  Widget build(BuildContext context) {
    return Container(
      margin: const EdgeInsets.symmetric(horizontal: 28),
      width: Get.width,
      height: 50,
      child: Column(
        children: [
          Row(
            children: [
              SvgPicture.asset(
                "assets/icons/location.svg",
              ).paddingSymmetric(horizontal: 7),
              RegularTextWidget(
                "${cityModel.name} , ${cityModel.country}",
                fontSize: 14,
              )
            ],
          ),
          Divider(
            color: AppColors.dividerColor,
            thickness: 1,
          ),
        ],
      ),
    );
  }
}
